# User Guide Index

## `classifier`
- [EnsembleVoteClassifier](user_guide/classifier/EnsembleVoteClassifier.md)
- [StackingClassifier](user_guide/classifier/StackingClassifier.md)
- [StackingCVClassifier](user_guide/classifier/StackingCVClassifier.md)
- [Perceptron](user_guide/classifier/Perceptron.md)
- [Adaline](user_guide/classifier/Adaline.md)
- [LogisticRegression](user_guide/classifier/LogisticRegression.md)
- [SoftmaxRegression](user_guide/classifier/SoftmaxRegression.md)
- [MultiLayerPerceptron](user_guide/classifier/MultiLayerPerceptron.md)

## `tf_classifier`
- [TfMultiLayerPerceptron](user_guide/tf_classifier/TfMultiLayerPerceptron.md)
- [TfSoftmaxRegression](user_guide/tf_classifier/TfSoftmaxRegression.md)

## `regressor`
- [LinearRegression](user_guide/regressor/LinearRegression.md)
- [StackingRegressor](user_guide/regressor/StackingRegressor.md)

## `tf_regressor`
- [TfLinearRegression](user_guide/tf_regressor/TfLinearRegression.md)

## `feature_selection`
- [SequentialFeatureSelector](user_guide/feature_selection/SequentialFeatureSelector.md)
- [ExhaustiveFeatureSelector](user_guide/feature_selection/ExhaustiveFeatureSelector.md)
- [ColumnSelector](user_guide/feature_selection/ColumnSelector.md)

## `feature_extraction`
- [PrincipalComponentAnalysis](user_guide/feature_extraction/PrincipalComponentAnalysis.md)
- [LinearDiscriminantAnalysis](user_guide/feature_extraction/LinearDiscriminantAnalysis.md)
- [RBFKernelPCA](user_guide/feature_extraction/RBFKernelPCA.md)

## `cluster`
- [Kmeans](user_guide/cluster/Kmeans.md)

## `tf_cluster`
- [TfKmeans](user_guide/tf_cluster/TfKmeans.md)

## `evaluate`
- [confusion_matrix](user_guide/evaluate/confusion_matrix.md)
- [lift_score](user_guide/evaluate/lift_score.md)
- [mcnemar_table](user_guide/evaluate/mcnemar_table.md)
- [mcnemar](user_guide/evaluate/mcnemar.md)
- [scoring](user_guide/evaluate/scoring.md)

## `preprocessing`
- [MeanCenterer](user_guide/preprocessing/MeanCenterer.md)
- [minmax_scaling](user_guide/preprocessing/minmax_scaling.md)
- [shuffle_arrays_unison](user_guide/preprocessing/shuffle_arrays_unison.md)
- [standardize](user_guide/preprocessing/standardize.md)
- [one-hot_encoding](user_guide/preprocessing/one-hot_encoding.md)
- [OnehotTransactions](user_guide/preprocessing/OnehotTransactions.md)
- [DenseTransformer](user_guide/preprocessing/DenseTransformer.md)
- [CopyTransformer](user_guide/preprocessing/CopyTransformer.md)

## `data`
- [autompg_data](user_guide/data/autompg_data.md)
- [boston_housing_data](user_guide/data/boston_housing_data.md)
- [iris_data](user_guide/data/iris_data.md)
- [mnist_data](user_guide/data/mnist_data.md)
- [loadlocal_mnist](user_guide/data/loadlocal_mnist.md)
- [wine_data](user_guide/data/wine_data.md)
- [three_blobs_data](user_guide/data/three_blobs_data.md)

## `association`
- [apriori](user_guide/association/apriori.md)

## `file_io`
- [find_filegroups](user_guide/file_io/find_filegroups.md)
- [find_files](user_guide/file_io/find_files.md)

## `plotting`
- [plot_decision_regions](user_guide/plotting/plot_decision_regions.md)
- [plot_learning_curves](user_guide/plotting/plot_learning_curves.md)
- [plot_sequential_feature_selection](user_guide/plotting/plot_sequential_feature_selection.md)
- [plot_confusion_matrix](user_guide/plotting/plot_confusion_matrix.md)
- [plot_linear_regression](user_guide/plotting/plot_linear_regression.md)
- [category_scatter](user_guide/plotting/category_scatter.md)
- [enrichment_plot](user_guide/plotting/enrichment_plot.md)
- [stacked_barplot](user_guide/plotting/stacked_barplot.md)
- [checkerboard_plot](user_guide/plotting/checkerboard_plot.md)

## `math`
- [num_combinations](user_guide/math/num_combinations.md)
- [num_permutations](user_guide/math/num_permutations.md)

## `text`
- [generalize_names](user_guide/text/generalize_names.md)
- [generalize_names_duplcheck](user_guide/text/generalize_names_duplcheck.md)
- [tokenizer](user_guide/text/tokenizer.md)

## `utils`
- [Counter](user_guide/utils/Counter.md)

## `general concepts`
- [activation-functions](user_guide/general_concepts/activation-functions.md)
- [gradient-optimization](user_guide/general_concepts/gradient-optimization.md)
- [linear-gradient-derivative](user_guide/general_concepts/linear-gradient-derivative.md)
- [regularization-linear](user_guide/general_concepts/regularization-linear.md)
